<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/invoices.js");
    loadCSS('css/flags/flags.min.css');

</script>
<div class="page-title">
    <div class="title_left">
        <h4 th:text="#{listOfInvoices}">Listado de Facturas</h4>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span th:text="#{type}">Tipo:</span>
                        <select name="type" id="type">
                            <option value="all"><span th:text="#{all}"></span></option>
                            <option th:selected="${type == 'kit'}" value="kit"><span th:text="#{kits}"></span></option>
                            <option th:selected="${type == 'product'}" value="product"><span th:text="#{products}"></span></option>
                            <option th:selected="${type == 'service'}" value="service"><span th:text="#{services}"></span></option>
                            <option th:selected="${type == 'store'}" value="store"><span th:text="#{members.store}"></span></option>
                            <option th:selected="${type == 'upgrade'}" value="upgrade"><span th:text="#{upgrade}"></span></option>
                            <option th:selected="${type == 'withdrawal'}" value="withdrawal"><span th:text="#{withdrawal}"></span></option>
                        </select>                        
                        &nbsp;
                        <span th:text="#{countryName}">País:</span>                  
                        <select name="country" id="country">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:each="c : ${countries}" th:selected="${country == c}" th:value="${c}" th:text="#{${c}}">España</option>
                        </select>                       
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>

                        <!--ToolBar-->
                        <ul class="nav navbar-right panel_toolbox">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    <i class="fa fa-gears wings-tool-bar"></i>
                                </a>
                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a class="action-button" id="invoice-generate"><i class="fa fa-file-pdf-o"></i>&nbsp;
                                            <!--                                            <span  th:text="#{generateInvoices}"></span>-->
                                            Generar Factura
                                        </a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><input type="checkbox"/></th>
                                <th>#</th>
                                <th th:text="#{number}"></th>
                                <th th:text="#{date}"></th>
                                <th th:text="#{shipment.order}"></th>
                                <th th:text="#{name}"></th>
                                <th th:text="#{type}"></th>
                                <th th:text="#{payable}"></th>
                                <th th:text="#{base}"></th>
                                <th th:text="#{tax}"></th>
                                <th th:text="#{retention}"></th>
                                <th th:text="#{status}"></th>
                                <th th:text="#{actions}"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="member-id"></td>
                                <td th:text="${item.id}"></td>
                                <td th:text="${item.invoiceNumber}"></td>
                                <td th:text="${#dates.format(item.invoiceDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.invoiceDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.orderId}"></td>
                                <td>
                                    <img src="/css/flags/blank.gif" class="flag" th:classappend="'flag-'+ ${#strings.toLowerCase(item.clientCountry)}" th:title="#{${#strings.toUpperCase(item.clientCountry)}}"/>
                                    <span th:if="${item.clientName != null}" th:text="${item.clientName}"></span>
                                    <span th:if="${item.companyName != null}">-</span>
                                    <span th:if="${item.companyName != null}" th:text="${item.companyName}"></span>
                                </td>
                                <td>
                                    <span>
                                        <div th:switch="${item.type}" th:title="'Items ' + ${item.items.size()}">
                                            <span th:case="kit" class="label label-info" th:text="#{${item.type}}">Kit</span>
                                            <span th:case="product" class="label label-info" th:text="#{${item.type}}">Producto</span>
                                            <span th:case="mix" class="label label-success" th:text="#{${item.type}}">Mix</span>
                                            <span th:case="service" class="label label-warning" th:text="#{${item.type}}">Servicio</span>
                                            <span th:case="upgrade" class="label label-warning" th:text="#{${item.type}}">Upgrade</span>
                                            <span th:case="store" class="label label-warning" th:text="#{${item.type}}">Store</span>
                                            <span th:case="withdrawal" class="label label-default" th:text="#{${item.type}}">Retiro</span>
                                        </div>
                                    </span>
                                </td>                                
                                <td>
                                    <span th:text="${item.totalText}"></span> 
                                </td>
                                <td>
                                    <span th:text="${item.imponible}"></span> 
                                </td>
                                <td>
                                    <span th:text="${item.iva}"></span> 
                                </td>
                                <td>
                                    <span th:text="${item.retenciones}"></span> 
                                </td>


                                <td>
                                    <span>
                                        <div th:switch="${item.status}">
                                            <span th:case="paid" class="label label-success" th:text="#{${item.status}}"></span>
                                            <span th:case="pending" class="label label-danger" th:text="#{${item.status}}"></span>
                                            <span th:case="review" class="label label-warning" th:text="#{${item.status}}"></span>
                                            <span th:case="shipped" class="label label-info" th:text="#{${item.status}}"></span>
                                            <span th:case="delivered" class="label label-info" th:text="#{${item.status}}"></span>
                                            <span th:case="*" class="label label-default" th:text="${item.status}"></span>
                                        </div>
                                    </span>
                                </td>


                                <td>

                                    <ul class="nav navbar-right panel_toolbox_table">
                                        <li class="dropdown">
                                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-gears opener"></i></a>
                                            <ul class="dropdown-menu" role="menu">
                                                <li class="disabled">
                                                    <a href="#" class="text-muted">
                                                        <h5 th:text="${item.toString()}"></h5>
                                                    </a>
                                                </li>
                                                <li>
                                                    <a th:if="${item.type != 'service'}" class="action-button" id="edit-invoice" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                        <i class="fa fa-edit"></i>&nbsp;
                                                        <!--                                                        &nbsp;<span th:text="#{editInvoices}"></span>-->
                                                        Editar Factura
                                                    </a>
                                                </li>
                                                <li>
                                                    <a th:if="${item.type != 'service'}" class="action-button" id="view-invoice" th:attr="data-id=${item.id},data-name=${item.toString()}">
                                                        <i class="fa fa-file-pdf-o"></i>&nbsp;
                                                        <!--                                                        <span th:text="#{viewPDF}"></span>-->
                                                        Ver PDF
                                                    </a>
                                                    <a th:if="${item.type == 'service'}" class="action-button" id="view-external-invoice" th:attr="data-id=${item.token},data-name=${item.toString()}">
                                                        <i class="fa fa-file-pdf-o"></i>&nbsp;
                                                        <!--                                                        <span th:text="#{viewPDF}"></span>-->
                                                        Ver PDF
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                    </ul>

                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>


            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>


